Fix 64bit Ubuntu

[ 13850 View / 6 Reply ]

I got the linux 32bit version working on Ubuntu 64bit system (similar PinguyOS - Ubuntu Natty, have put on Ubuntu 12.04 LTS partition yet).
No fix in forum so thought i'd post.
Should work on all Ubuntu/Debain 64bit systems.

First put ia32-libs and some 32bit dependencies- use this command
$ sudo apt-get install ia32-libs ia32-libs-gtk libxss1 libqt4-core libqt4-gui libxss1 libxss1-dbg libxss-dev libglib2.0-dev libc6 libfreetype6 libjpeg62 libpng12-0 zlib1g libnotify0.4-cil libmono-winforms2.0-cil

Second download linux software and (cd ./) to location or use this command
$ wget http://content.asuswebstorage.com/asuswebstorage/ASUSWebStorage.deb

Finally install asus webstorage- use this command
$ sudo dpkg -i --force-architecture ASUSWebStorage.deb

That should do it.  You probably will get dependency not met and maybe error.  Does not mean not installed and working properly.  Check your menu.  Should have Asus WebStorage icon.
TOP

Everything worked but


$ sudo dpkg -i --force-architecture ASUSWebStorage.deb
Selecting previously unselected package asuswebstorage:i386.
(Reading database ... 560109 files and directories currently installed.)
Unpacking asuswebstorage:i386 (from ASUSWebStorage.deb) ...
dpkg: dependency problems prevent configuration of asuswebstorage:i386:
asuswebstorage:i386 depends on libnotify0.4-cil.
asuswebstorage:i386 depends on libmono-winforms2.0-cil.
dpkg: error processing asuswebstorage:i386 (--install):
dependency problems - leaving unconfigured
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Errors were encountered while processing:
asuswebstorage:i386


That. BUT I still have the program installed (I think but can't get it to run). I see Asus Webstorage.desktop
TOP

Same problem and same error.
Admin, would you like to provide 64-bit version in deb file for us?
TOP

Dears,
It has not been fixed yet...http://orangesquash.org.uk/~laney/blog/posts/2011/10/mono-gotcha/
Please check above link and help to recompile it with dmcs instead of gmcs. looking forward to have it finally working.
TOP

First of all, thank you for the feedback. We are working hard to answer users on Linux as much as we can, but please do understand that there are too many platforms out there, we might not be able to answer all requests due to limited resource. Hence, for present, we provide the version for Ubuntu 32 bits only and have no latest release on this subject.

In the past, majority of our resource were allocated to platforms other than the Linux. Now, we are glad to let you know that as some resources are becoming available, we will be developing applications for Ubuntu platform from now. The details and the timeline is yet to be determined. The updates of the Ubuntu development will be posted via our Facebook, blog, and Forum.

Once again, thank you for your patience and understanding during this period.
TOP

Is anything going there for linux 64bits?
I still have the same error log while I take the same solution.
TOP

Need 64 bits solution +1
TOP